Skip to main content
POST
Start a wallet integrity check (re-import and compare)

Path Parameters

id
string
required

Wallet ID

Example:

"1"

Query Parameters

orgId
string
required

Organization ID. Use GET /v1/companies to discover available org/company pairs.

Example:

"1"

companyId
string
required

Company ID. Use GET /v1/companies to discover available companies and their access levels.

Example:

"1"

Body

application/json
dateFrom
integer

Start of the re-import window (unix seconds). Defaults to the wallet's stored sync start, or 2017-01-01 when the wallet has none or it lies outside 2017-01-01..now.

Required range: x > 0
dateTo
integer

End of the re-import window (unix seconds). Defaults to now.

Required range: x > 0

Response

Integrity check started

success
enum<boolean>
required
Available options:
true
data
object
required
Last modified on November 13, 2026